@import url('https://fonts.googleapis.com/css2?family=Inter:wght@500&display=swap');
/* import fontawesome */
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css');

.cr-plugin-header {
    font-family: 'Inter', sans-serif;
    font-size: 48px;
    font-weight: 500;
    color: #4f5858;
}

.cr-plugin-description {
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-weight: 200;
    color: #4f5858;

}

.cr-plugin-version {
    font-family: 'Inter', sans-serif;
    font-size: 10px;
    font-weight: 200;
    color: #d8d2c4;

}

.cr-gridify-cell {
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-weight: 200;
    color: #4f5858;
}

.cr-gridify-column-label {
    font-family: 'Inter', sans-serif;
    font-size: 18px;
    font-weight: 500;
    color: #3eb1c8;
}

.cr-gridify-row-label {
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-weight: 500;
    color: #3eb1c8;
}


/* Don't blame me, blame GPT */
.cr-sample-link {
    font-family: 'FontAwesome';
    color: #3eb1c8;
}

.cr-sample-link::before {
    content: "\f0ce";
    /* This is the Unicode for 'fa-table' in FontAwesome */
}

.cr-sample-link-disabled {
    font-family: 'FontAwesome';
    color: #d8d2c4;
}

.cr-sample-link-disabled::before {
    content: "\f0ce";
    /* This is the Unicode for 'fa-table' in FontAwesome */
}


/* Experiments to turn-off border around the download example buttons.

The following works for *all* secondary buttons, but we only want to target the download example buttons.
*/

/* button[kind="secondary"] {
    border: none;   
*/

/* span.turn-off-border ~ button {
    border: 5px solid #ff0000; 
  } */

/* .element-container:has(style){
    display: none;
}
#button-after {
    display: none;
}
.element-container:has(#button-after) {
    display: none;
}
.element-container:has(#button-after) + div button {
    background-color: orange;
} */
 
.element-container:has(style){
    display: none;
}
.cr-turn-off-button-border {
    display: none;
}
.element-container:has(.cr-turn-off-button-border) {
    display: none;
}
.element-container:has(.cr-turn-off-button-border) + div button[kind="secondary"] {
    font-family: 'FontAwesome';
    border: none;
}



/* <button kind="secondary" data-testid="baseButton-secondary" class="st-emotion-cache-18u0qcg ef3psqc12"><div data-testid="stMarkdownContainer" class="st-emotion-cache-1cf8stb e1nzilvr5"><p>⬇️</p></div></button> */